## flask-rebar 3.4.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Flask-Rebar
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
flask-rebar (3.4.0-1) unstable; urgency=medium

  * Initial release.

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Feb 2026 08:10:30 +0100

=== debian/control ===
Source: flask-rebar
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               black,
               bumpversion,
               pybuild-plugin-pyproject,
               python3-all,
               python3-asgiref,
               python3-click,
               python3-flake8,
               python3-flask,
               python3-jsonschema,
               python3-marshmallow,
               python3-parametrize,
               python3-pytest,
               python3-pytest-order,
               python3-setuptools,
               python3-werkzeug
Standards-Version: 4.7.3
Homepage: https://github.com/plangrid/flask-rebar
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-rebar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-rebar
Testsuite: autopkgtest-pkg-python

Package: python3-flask-rebar
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Robust REST services for Flask
 Flask-Rebar combines flask, marshmallow, and swagger
 for robust REST services.
 .
 Flask-Rebar relies on schemas from the popular Marshmallow package
 to validate incoming requests and marshal outgoing responses.
 The same schemas used for validation and marshaling are used to
 automatically generate OpenAPI specifications (a.k.a. Swagger).
 This also means automatic documentation via Swagger UI.
 Uncaught exceptions from Flask-Rebar are converted to appropriate
 HTTP errors.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-rebar

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_missing:
	dh_missing
	rm -rf $(CURDIR)/debian/python3-flask-rebar/usr/lib/python3/dist-packages/examples
